# Uses of Class
io.dapr.client.domain.GetSecretRequest

Packages that use GetSecretRequest
Package
Description
io.dapr.client
io.dapr.client.domain

## Uses of GetSecretRequest in io.dapr.client

Methods in io.dapr.client with parameters of type GetSecretRequest
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Map<String,String>>`
DaprClient.`getSecret(GetSecretRequest request)`
Fetches a secret from the configured vault.
`reactor.core.publisher.Mono<Map<String,String>>`
DaprClientImpl.`getSecret(GetSecretRequest request)`
Fetches a secret from the configured vault.

## Uses of GetSecretRequest in io.dapr.client.domain

Methods in io.dapr.client.domain that return GetSecretRequest
Modifier and Type
Method
Description
`GetSecretRequest`
GetSecretRequest.`setMetadata(Map<String,String> metadata)`